CustomPayloadMirroringQueryHandler (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class CustomPayloadMirroringQueryHandler

- java.lang.Object
- - org.apache.cassandra.cql3.CustomPayloadMirroringQueryHandler

- All Implemented Interfaces:
    QueryHandler

      public class CustomPayloadMirroringQueryHandler
      extends java.lang.Object
      implements QueryHandler

  Custom QueryHandler that sends custom request payloads back with the result. Used to facilitate testing. Enabled with system property cassandra.custom_query_handler_class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomPayloadMirroringQueryHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParsedStatement.Prepared` | `getPrepared(MD5Digest id)`
    `ParsedStatement.Prepared` | `getPreparedForThrift(java.lang.Integer id)`
    `ResultMessage.Prepared` | `prepare(java.lang.String query, QueryState state, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload)`
    `ResultMessage` | `process(java.lang.String query, QueryState state, QueryOptions options, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload, long queryStartNanoTime)`
    `ResultMessage` | `processBatch(BatchStatement statement, QueryState state, BatchQueryOptions options, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload, long queryStartNanoTime)`
    `ResultMessage` | `processPrepared(CQLStatement statement, QueryState state, QueryOptions options, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload, long queryStartNanoTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomPayloadMirroringQueryHandler

          public CustomPayloadMirroringQueryHandler()

  - ### Method Detail

    - #### process

          public ResultMessage process(java.lang.String query,
                                       QueryState state,
                                       QueryOptions options,
                                       java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload,
                                       long queryStartNanoTime)

      Specified by:
        `process` in interface `QueryHandler`

    - #### prepare

          public ResultMessage.Prepared prepare(java.lang.String query,
                                                QueryState state,
                                                java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload)

      Specified by:
        `prepare` in interface `QueryHandler`

    - #### getPrepared

          public ParsedStatement.Prepared getPrepared(MD5Digest id)

      Specified by:
        `getPrepared` in interface `QueryHandler`

    - #### getPreparedForThrift

          public ParsedStatement.Prepared getPreparedForThrift(java.lang.Integer id)

      Specified by:
        `getPreparedForThrift` in interface `QueryHandler`

    - #### processPrepared

          public ResultMessage processPrepared(CQLStatement statement,
                                               QueryState state,
                                               QueryOptions options,
                                               java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload,
                                               long queryStartNanoTime)

      Specified by:
        `processPrepared` in interface `QueryHandler`

    - #### processBatch

          public ResultMessage processBatch(BatchStatement statement,
                                            QueryState state,
                                            BatchQueryOptions options,
                                            java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload,
                                            long queryStartNanoTime)

      Specified by:
        `processBatch` in interface `QueryHandler`

Copyright © 2018 The Apache Software Foundation